MODULE BitstreamIn;
 TYPE GENERAL;
 DIMENSIONS 336 0 336 133 0 133 0 0;
 IOLIST;
  P_2 B 336 14 1 METAL2;
 ENDIOLIST;
ENDMODULE;
MODULE DDR;
 TYPE GENERAL;
 DIMENSIONS 378 0 378 119 0 119 0 0;
 IOLIST;
  P_2 B 378 7 1 METAL2;
  P_3 B 0 7 1 METAL2;
  P_4 B 378 84 1 METAL2;
  P_5 B 0 14 1 METAL2;
 ENDIOLIST;
ENDMODULE;
MODULE VideoOut;
 TYPE GENERAL;
 DIMENSIONS 161 0 161 140 0 140 0 0;
 IOLIST;
  P_0 B 161 133 1 METAL2;
  P_2 B 0 133 1 METAL2;
  P_3 B 161 126 1 METAL2;
 ENDIOLIST;
ENDMODULE;
MODULE AudioOut;
 TYPE GENERAL;
 DIMENSIONS 119 0 119 49 0 49 0 0;
 IOLIST;
  P_2 B 112 49 1 METAL2;
 ENDIOLIST;
ENDMODULE;
MODULE Media_CPU;
 TYPE GENERAL;
 DIMENSIONS 340 0 340 406 0 406 0 0;
 IOLIST;
  P_2 B 7 406 1 METAL2;
  P_3 B 175 112 1 METAL2;
 ENDIOLIST;
ENDMODULE;
MODULE 3D_GFX;
 TYPE GENERAL;
 DIMENSIONS 140 0 140 497 0 497 0 0;
 IOLIST;
  P_2 B 112 497 1 METAL2;
  P_3 B 0 14 1 METAL2;
 ENDIOLIST;
ENDMODULE;
MODULE SRAM2;
 TYPE GENERAL;
 DIMENSIONS 296 0 296 219 0 219 0 0;
 IOLIST;
  P_2 B 196 14 1 METAL2;
  P_3 B 0 14 1 METAL2;
 ENDIOLIST;
ENDMODULE;
MODULE UpSamp;
 TYPE GENERAL;
 DIMENSIONS 294 0 294 119 0 119 0 0;
 IOLIST;
  P_2 B 294 112 1 METAL2;
  P_3 B 0 112 1 METAL2;
  P_4 B 294 14 1 METAL2;
  P_5 B 0 14 1 METAL2;
 ENDIOLIST;
ENDMODULE;
MODULE SRAM1;
 TYPE GENERAL;
 DIMENSIONS 261 0 261 219 0 219 0 0;
 IOLIST;
  P_2 B 161 7 1 METAL2;
  P_3 B 0 7 1 METAL2;
  P_4 B 161 112 1 METAL2;
  P_5 B 0 112 1 METAL2;
 ENDIOLIST;
ENDMODULE;
MODULE iDCT;
 TYPE GENERAL;
 DIMENSIONS 119 0 119 266 0 266 0 0;
 IOLIST;
  P_2 B 0 252 1 METAL2;
 ENDIOLIST;
ENDMODULE;
MODULE BAB;
 TYPE GENERAL;
 DIMENSIONS 119 0 119 336 0 336 0 0;
 IOLIST;
  P_2 B 0 140 1 METAL2;
 ENDIOLIST;
ENDMODULE;
MODULE CAM;
 TYPE GENERAL;
 DIMENSIONS 119 0 119 126 0 126 0 0;
 IOLIST;
  P_2 B 70 126 1 METAL2;
 ENDIOLIST;
ENDMODULE;
MODULE RISC_CPU;
 TYPE GENERAL;
 DIMENSIONS 333 0 333 415 0 415 0 0;
 IOLIST;
  P_0 B 84 0 1 METAL2;
  P_3 B 70 0 1 METAL2;
 ENDIOLIST;
ENDMODULE;
MODULE Audio_DSP;
 TYPE GENERAL;
 DIMENSIONS 182 0 182 98 0 98 0 0;
 IOLIST;
  P_1 B 35 98 1 METAL2;
  P_3 B 0 21 1 METAL2;
 ENDIOLIST;
ENDMODULE;
MODULE top_level;
 TYPE PARENT;
 DIMENSIONS 1000 0 1000 1000 0 1000 0 0;
 IOLIST;
  VSS PB 500 0 1 METAL2;
  VDD PB 0 500 1 METAL2;
  GND PWR 1000 1000 1 METAL2;
 ENDIOLIST;
 NETWORK;
  c_0 BitstreamIn n0;
  c_1 DDR n2 n3 n4 n5;
  c_2 VideoOut n0 n1 n2;
  c_3 AudioOut n1;
  c_4 Media_CPU n4 n7;
  c_5 3D_GFX n3 n6;
  c_6 SRAM2 n6 n8;
  c_7 UpSamp n5 n8 n9 n10;
  c_8 SRAM1 n10 n11 n12 n14;
  c_9 iDCT n12;
  c_10 BAB n14;
  c_11 CAM n13;
  c_12 RISC_CPU n11 n13;
  c_13 Audio_DSP n7 n9;
 ENDNETWORK;
ENDMODULE;
COMMUNICATIONS VOLUME;
n0 0 2 1
n1 2 3 1
n2 2 1 191
n3 5 1 600
n4 1 4 60
n5 1 7 942
n6 5 6 40
n7 4 13 40
n8 6 7 40
n9 7 13 40
n10 7 8 702
n11 12 8 250
n12 8 9 500
n13 12 11 250
n14 8 10 205
END;

